Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QLCDNumber.SegmentStyle

    java.lang.Object
      java.lang.Enum<QLCDNumber.SegmentStyle>
          com.trolltech.qt.gui.QLCDNumber.SegmentStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLCDNumber.SegmentStyle>

Enclosing class:
  QLCDNumber

    public static enum QLCDNumber.SegmentStyle

extends java.lang.Enum<QLCDNumber.SegmentStyle>
implements QtEnumerator

This type determines the visual appearance of the `QLCDNumber` widget.

Enum Constant Summary
`Filled` gives raised segments filled with the windowText color.
`Flat` gives flat segments filled with the windowText color.
`Outline` gives raised segments filled with the background color.

Method Summary
`static QLCDNumber.SegmentStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLCDNumber.SegmentStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLCDNumber.SegmentStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Outline

    public static final QLCDNumber.SegmentStyle Outline

  gives raised segments filled with the background color.

### Filled

    public static final QLCDNumber.SegmentStyle Filled

  gives raised segments filled with the windowText color.

### Flat

    public static final QLCDNumber.SegmentStyle Flat

  gives flat segments filled with the windowText color.

Method Detail

### values

    public static final QLCDNumber.SegmentStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLCDNumber.SegmentStyle c : QLCDNumber.SegmentStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLCDNumber.SegmentStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLCDNumber.SegmentStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD